<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawingGroupRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawingGroupRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawingGroupRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/DrawingRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/DrawingGroupRecord.html"
               target="_top">Frames</a></li>
        <li><a href="DrawingGroupRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class DrawingGroupRecord" class="title">Class DrawingGroupRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.AbstractEscherHolderRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.DrawingGroupRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">DrawingGroupRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
           title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#DrawingGroupRecord--">DrawingGroupRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#DrawingGroupRecord-org.apache.poi.hssf.record.RecordInputStream-">DrawingGroupRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#getRecordName--">getRecordName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">gives the current serialized size of the record.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#processChildRecords--">processChildRecords</a></span>()</code>
                                    <div class="block">Process the bytes into escher records.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html#serialize-int-byte:A-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">called by the class that is responsible for writing this
                                        sucker.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.AbstractEscherHolderRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                        title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#addEscherRecord-org.apache.poi.ddf.EscherRecord-">addEscherRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#addEscherRecord-int-org.apache.poi.ddf.EscherRecord-">addEscherRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#clearEscherRecords--">clearEscherRecords</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#clone--">clone</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#convertRawBytesToEscherRecords--">convertRawBytesToEscherRecords</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#decode--">decode</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#findFirstWithId-short-">findFirstWithId</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getEscherContainer--">getEscherContainer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getEscherRecord-int-">getEscherRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getEscherRecords--">getEscherRecords</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getRawData--">getRawData</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#join-org.apache.poi.hssf.record.AbstractEscherHolderRecord-">join</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#processContinueRecord-byte:A-">processContinueRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#setRawData-byte:A-">setRawData</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.DrawingGroupRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawingGroupRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DrawingGroupRecord</h4>
                                <pre>public&nbsp;DrawingGroupRecord()</pre>
                            </li>
                        </ul>
                        <a name="DrawingGroupRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawingGroupRecord</h4>
                                <pre>public&nbsp;DrawingGroupRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecordName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordName</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getRecordName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getRecordName--">getRecordName</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                                title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                                title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;int&nbsp;serialize(int&nbsp;offset,
                     byte[]&nbsp;data)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">RecordBase</a></code></span>
                                </div>
                                <div class="block">called by the class that is responsible for writing this sucker.
                                    Subclasses should implement this so that their data is passed back in a
                                    byte array.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#serialize-int-byte:A-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                                title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - to begin writing at</dd>
                                    <dd><code>data</code> - byte array containing instance data</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes written</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processChildRecords--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processChildRecords</h4>
                                <pre>public&nbsp;void&nbsp;processChildRecords()</pre>
                                <div class="block">Process the bytes into escher records.
                                    (Not done by default in case we break things,
                                    unless you set the "poi.deserialize.escher"
                                    system property)
                                </div>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">RecordBase</a></code></span>
                                </div>
                                <div class="block">gives the current serialized size of the record. Should include the
                                    sid
                                    and reclength (4 bytes).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                                                title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record size</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawingGroupRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/DrawingRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/DrawingGroupRecord.html"
               target="_top">Frames</a></li>
        <li><a href="DrawingGroupRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
